Name:           librapi
Version:        0.9.3
Release:        1%{?dist}
Summary:        Library to connect to Pocket PC devices

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/synce-librapi-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsynce-devel
BuildRequires:  libtool

# Provide an upgrade path from the monilithic synce package
Provides:       synce = %{version}-%{release}
Obsoletes:      synce <= 0.9.1-10

%description
The RAPI library is an open source implementation that works like RAPI.DLL,
available on Microsoft operating systems. The library makes it possible to make
remote calls to a computer running Pocket PC.
In order to use librapi, a daemon that the Pocket PC client connects to must be
running on the computer using librapi.

%package devel
Summary: Development libraries and header files for librapi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: libsynce-devel

%description devel
This package contains the header files and link libraries for librapi


%prep
%setup -q


%build
%configure --disable-static --disable-rpath
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README TODO
%{_bindir}/pcp
%{_bindir}/pls
%{_bindir}/pmkdir
%{_bindir}/pmv
%{_bindir}/prm
%{_bindir}/prmdir
%{_bindir}/prun
%{_bindir}/pstatus
%{_bindir}/pkillall
%{_bindir}/psettime
%{_bindir}/pshortcut
%{_bindir}/rapiconfig
%{_bindir}/synce-install-cab
%{_bindir}/synce-list-programs
%{_bindir}/synce-registry
%{_bindir}/synce-remove-program
%{_libdir}/librapi.so.2*
%{_mandir}/man1/pcp.*
%{_mandir}/man1/pls.*
%{_mandir}/man1/pmkdir.*
%{_mandir}/man1/pmv.*
%{_mandir}/man1/prm.*
%{_mandir}/man1/prmdir.*
%{_mandir}/man1/prun.*
%{_mandir}/man1/pstatus.*
%{_mandir}/man1/synce-install-cab.*
%{_mandir}/man1/rapiconfig.*
%{_mandir}/man1/synce-list-programs.*
%{_mandir}/man1/synce-remove-program.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.3-1
- split off the synce package
